actions: []
api_documentation: http://docs.ros.org/en/noetic/api/abb_crb15000_support/html
authors: G.A. vd. Hoorn (TU Delft Robotics Institute), Marco Palma (TU Vienna Institute
  of Art and Design)
brief: ''
bugtracker: https://github.com/ros-industrial/abb/issues
depends:
- abb_resources
- catkin
- industrial_robot_client
- joint_state_publisher_gui
- robot_state_publisher
- rviz
- xacro
depends_on:
- abb
description: "<p>\n      ROS-Industrial support for the ABB GoFa CRB 15000 (and variants).\n\
  \    </p>\n    <p>\n      This package contains configuration data, 3D models and\
  \ launch files\n      for ABB GoFa CRB 15000 manipulators. This currently includes\
  \ the\n      CRB 15000-5/0.95 and CRB 15000-12/1.27 variants.\n    </p>\n    <p>\n\
  \      Joint limits and max joint velocities are based on the information in the\n\
  \      <em>ABB CRB 15000 Datasheet</em>, document ID: <em>TODO, Feb 2021</em> for\n\
  \      the CRB 15000-5/0.95. For CRB 15000-12/1.27, they are based on the\n    \
  \  information in <em>ABB CRB 15000 Product manual</em>, document ID:\n      <em>3HAC077389-001,\
  \ Rev. P</em>.\n      All urdfs / xacros are based on the default motion and joint\
  \ velocity\n      limits, unless noted otherwise (ie: no support for high speed\
  \ joints,\n      extended / limited motion ranges or other options).\n    </p>\n\
  \    <p>\n      Note 1: the CRB 15000-5/0.95 is an early conversion from CAD data\n\
  \      downloaded from ABB's library with geometry and kinematics partially\n  \
  \    based on the GoFa datasheet.\n      There may be conversion errors and other\
  \ deviations from the real robot.\n    </p>\n    <p>\n      Note 2: this support\
  \ package does not currently include launch files for\n      loading a driver, as\
  \ no driver has been tested with OmniCore controllers\n      and/or CRB 15000 robots\
  \ yet.\n    </p>\n    <p>\n      Before using any of the configuration files and\
  \ / or meshes included\n      in this package, be sure to check they are correct\
  \ for the particular\n      robot model and configuration you intend to use them\
  \ with.\n    </p>"
devel_jobs:
- https://build.ros.org/view/Ndev/job/Ndev__abb__ubuntu_focal_amd64
doc_job: https://build.ros.org/view/Ndoc/job/Ndoc__abb__ubuntu_focal_amd64
has_changelog_rst: true
license: Apache-2.0
maintainer_status: maintained
maintainers: ROS-Industrial community <noreply@rosindustrial.org>
metapackages:
- abb
msgs: []
package_type: package
release_jobs:
- https://build.ros.org/view/Nsrc_uF/job/Nsrc_uF__abb_crb15000_support__ubuntu_focal__source
- https://build.ros.org/view/Nbin_uF64/job/Nbin_uF64__abb_crb15000_support__ubuntu_focal_amd64__binary
- https://build.ros.org/view/Nbin_ufhf_uFhf/job/Nbin_ufhf_uFhf__abb_crb15000_support__ubuntu_focal_armhf__binary
- https://build.ros.org/view/Nbin_ufv8_uFv8/job/Nbin_ufv8_uFv8__abb_crb15000_support__ubuntu_focal_arm64__binary
repo_name: abb
repo_url: https://github.com/ros-industrial/abb
srvs: []
timestamp: 1744279319.4873629
url: http://wiki.ros.org/abb_crb15000_support
vcs: git
vcs_uri: https://github.com/ros-industrial/abb.git
vcs_version: noetic
